| Home | Libraries | People | FAQ | More

## Class packed_skeleton_iarchive

boost::mpi::packed_skeleton_iarchive — An archiver that reconstructs a data structure based on the binary skeleton stored in a buffer.

## Synopsis

    // In header: <boost/mpi/skeleton_and_content.hpp>

    class packed_skeleton_iarchive {
    public:
      // construct/copy/destruct
      packed_skeleton_iarchive(MPI_Comm const &,
                               unsigned int = boost::archive::no_header);
      explicit packed_skeleton_iarchive(packed_iarchive &);

      // public member functions
      const packed_iarchive & get_skeleton() const;
      packed_iarchive & get_skeleton();
    };

## Description

The `packed_skeleton_iarchive` class is an Archiver (as in the Boost.Serialization library) that can construct the the shape of a data structure based on a binary skeleton stored in a buffer. The `packed_skeleton_iarchive` is typically used by the receiver of a skeleton, to prepare a data structure that will eventually receive content separately.

Users will not generally need to use `packed_skeleton_iarchive` directly. Instead, use `skeleton` or `get_skeleton`.

### `packed_skeleton_iarchive` public construct/copy/destruct

1.     packed_skeleton_iarchive(MPI_Comm const & comm,
                                unsigned int flags = boost::archive::no_header);

   Construct a ``packed_skeleton_iarchive`` for the given communicator.

   Parameters:

   `comm` | The communicator over which this archive will be transmitted.
   `flags` | Control the serialization of the skeleton. Refer to the Boost.Serialization documentation before changing the default flags.

2.     explicit packed_skeleton_iarchive(packed_iarchive & archive);

   Construct a ``packed_skeleton_iarchive`` that unpacks a skeleton from the given `archive`.

   Parameters:

   `archive` | the archive from which the skeleton will be unpacked.

### `packed_skeleton_iarchive` public member functions

1.     const packed_iarchive & get_skeleton() const;

   Retrieve the archive corresponding to this skeleton.

2.     packed_iarchive & get_skeleton();

   Retrieve the archive corresponding to this skeleton.